View Issue Details

IDProjectCategoryView StatusLast Update
0000321FakturamaProdukte (Products)public2017-12-30 22:27
ReporterHertmondAssigned Torheydenr 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version1.6.3 
Target Version2.0.0Fixed in Version2.0.0 
Summary0000321: Ein Feld für Einkaufspreise
Description

Ein Feld für Einkaufspreise in den Produkten wäre schön und vielleicht auch noch ein Feld für den Lieferrantennamen. Ansonsten ein tolles Programm.

TagsNo tags attached.

Activities

dr.listemann

2014-04-17 09:40

reporter   ~0000325

Dieses Thema ist komplexer, als es zunächst aussieht, und es sollte daher von einem Programmierer bearbeitet werden, der ausschließlich dieses Thema anfasst. Mit einer gewissen Weitsicht schlage ich folgendes für die gesamte Preiskalkulation vor:
LIP = Listenpreis (Lieferanten-bezogen)
EKP = Einkaufspreis (Lieferanten-bezogen)
EKR = Einkaufsrabatt (Lieferanten-bezogen und in % oder absolut)
DEKP = Durchschnittlicher Einkaufspreis
VKP = Verkaufspreis
VKZ = Zuschlag auf EKP, der zum VKP führt (in % oder absolut)
VKP-1 = Verkaufspreis-1 (Preisgruppe 1)
VKZ-1 = Zuschlag auf EKP, der zum VKP-1 führt (in % oder absolut)
VKP-2 = Verkaufspreis-2 (Preisgruppe 2)
VKZ-2 = Zuschlag auf EKP, der zum VKP-2 führt (in % oder absolut)
VKP-3 = Verkaufspreis-3 (Preisgruppe 3)
VKZ-3 = Zuschlag auf EKP, der zum VKP-3 führt (in % oder absolut)
Alle Preise bzw. Werte sollten sowohl Netto als auch Brutto angezeigt werden, damit die VKP-Kalkulation für Vorsteuer-abzugsberechtigte Kunden (z.B. Firmen) und Endkunden (Konsumenten) vereinfacht wird.
Der EKP sollte immer (!) einen Bezug zum jeweiligen Lieferanten haben, da der gleiche Artikel (des gleichen Herstellers) von verschiedenen Lieferanten zu verschiedenen EKP eingekauft werden könnte. Hat man den gleichen Artikel von verschiedenen Lieferanten eingekauft und davon noch einen gewisse Menge gemischt im Lager-Bestand, so ergibt sich daraus auch ein durchschnittlicher Einkaufspreis DEKP (Mischkalkulation).
Der LIP kann ein öffentlicher Listenpreis des Verkäufers oder aber auch des Herstellers oder Lieferanten sein. Der EKP ergibt sich dann entweder aus einem EKR auf den LIP, wenn die öffentliche Preisliste einer empfohlenen VKP-Liste entspricht, oder er ist gleich dem LIP, wenn die Preisliste nur für Wiederverkäufer gilt.
Für die Kalkulation der Verkaufspreise VKP sowie VKP-1, VKP-2 und VKP-3 sollte es folgende Möglichkeiten gebe:
1) Willkürliche Festlegung der VKP, wobei dann die Zuschläge auf den EKP (in % und absolut) automatisch errechnet und mit angezeigt werden
2) Zuschlag auf den EKP in %, wobei dann der absolute Zuschlag und der VKP automatisch berechnet und angezeigt werden
3) Zuschlag auf den EKP als absoluter Betrag, wobei dann der %-uale Zuschlag und der VKP automatisch berechnet und angezeigt werden
Da als Basis für die Preiskalkulationen und letztlich Rohertragsermittlung immer der EKP herangezogen wird und hier bei gleichen Artikeln sowohl die EKP verschiedener Lieferanten oder der DEKP herangezogen werden könnten, muss in den FAKTURAMA-Einstellungen ein neuer Schalter eingerichtet werden, der den Bezug auf die Preiskalkulation generell festlegt. Dafür schlage ich folgende Wahlmöglichkeiten vor:

  • Preislkalkulation auf Basis des letzten EKP (EKP des letzten Einkaufs)
  • Preiskalkulation auf Basis des DEKP
    Man könnte theoretisch auch noch eine Preiskalkulation auf Basis eines bestimmten Lieferanten einrichten, aber dann müsste man bei jedem Artikel bzw. Produkt diesen Lieferanten festlegen ...
    So - insgesamt lassen diese Möglichkeiten dann eine spielerische Preiskalkulation des FAKTURAMA-Anwenders beim Aufbau und der Pflege der Artikel- bzw. Produktstammdaten zu.
    Vorschau: Ist in FAKTURAM eine derart komplexe Preiskalkulation implementiert, bestehen auch die Grundlagen für eine wirkliche (Nach-) Kalkulation in den Angeboten, Auftragsbestätigungen und Rechnungen, weil man je Artikel- und Leistungs-Position sowie beim gesamten Auftrag ermitteln und nachweisen kann, welcher Rohertrag damit erzielt wird. Und genau das ist für einen Händler, Handwerker, Dienstleister usw. eminent wichtig, damit sich sein ganzen Tun auch wirtschaftlich trägt ...

Issue History

Date Modified Username Field Change
2014-04-02 14:23 Hertmond New Issue
2014-04-09 01:50 rheydenr Assigned To => rheydenr
2014-04-09 01:50 rheydenr Status new => assigned
2014-04-09 01:50 rheydenr Target Version => Pipeline
2014-04-17 09:40 dr.listemann Note Added: 00325
2017-12-30 02:02 rheydenr Status assigned => resolved
2017-12-30 02:02 rheydenr Resolution open => fixed
2017-12-30 02:02 rheydenr Fixed in Version => 2.0.0
2017-12-30 22:04 rheydenr Target Version Pipeline => 2.0.1
2017-12-30 22:27 rheydenr Target Version 2.0.1 => 2.0.0